import { y as FramesStackItem, x as FrameStackMessage, w as FrameStackRequestError, u as FrameStackDone, G as GetFrameResult } from '../types-bdYZNS1C.cjs';
import { PartialFrame } from './types.cjs';
import 'frames.js';
import 'react';
import 'frames.js/frame-parsers';
import '@farcaster/core';

type FrameResultFailure = Exclude<GetFrameResult, {
    status: "success";
}>;
type FrameStackItemWithPartialFrame = Omit<FrameStackDone, "frameResult"> & {
    frameResult: Omit<FrameResultFailure, "frame"> & {
        frame: PartialFrame;
    };
};
declare function isPartialFrameStackItem(stackItem: FramesStackItem): stackItem is FrameStackItemWithPartialFrame;
declare function getErrorMessageFromFramesStackItem(item: FrameStackMessage | FrameStackRequestError): string;

export { getErrorMessageFromFramesStackItem, isPartialFrameStackItem };
